package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.DataCatelogAddModel;
import com.lightinit.hsdataplatform.model.admin.DataCatelogListModel;
import com.lightinit.hsdataplatform.model.admin.DataCatelogSearchModel;
import com.lightinit.hsdataplatform.model.admin.InfomationResourceIdAndNameModel;
import org.apache.poi.xssf.usermodel.XSSFSheet;

import java.util.LinkedHashMap;
import java.util.List;

public interface IDataCatelogService {

    ResultState<Long> addDataCatalog(DataCatelogAddModel dataCatelogAddModel);

   // List<DataCatelogListModel> queryList(DataCatelogSearchModel inputModel);

   // long queryCount(DataCatelogSearchModel inputModel);

    ResultState<Long> delete(Long id);

    DataCatelogAddModel queryOne(Long id);

    ResultState<Long> updateDataCatalog(DataCatelogAddModel dataCatelogAddModel);

    List<InfomationResourceIdAndNameModel> queryInformationResourceTypeByDicMap(LinkedHashMap<String, String> dicMap);

    List<InfomationResourceIdAndNameModel> queryInfoStyle(Long id);

    List<DataCatelogListModel> getDataCatelogList(DataCatelogSearchModel inputModel);
    long getDataCatelogListCount(DataCatelogSearchModel inputModel);

    ResultState getAllDataToView();

    ResultState getDataById(Long id);

    ResultState parseExcel(XSSFSheet sheetAt);
}
